> ## Name

> tex1DARRAYproj - performs a texture lookup with projection in a given sampler array. May perform a shadow comparison if argument for shadow comparison is provided.

> ## Synopsis

>     float4 tex1DARRAYproj(sampler1DARRAY samp, float3 s)
>     float4 tex1DARRAYproj(sampler1DARRAY samp, float3 s, int texelOff)
>     float4 tex1DARRAYproj(sampler1DARRAY samp, float4 s)
>     float4 tex1DARRAYproj(sampler1DARRAY samp, float4 s, int texelOff)

>     int4 tex1DARRAYproj(isampler1DARRAY samp, float3 s)
>     int4 tex1DARRAYproj(isampler1DARRAY samp, float3 s, int texelOff)

>     unsigned int4 tex1DARRAYproj(usampler1DARRAY samp, float3 s)
>     unsgined int4 tex1DARRAYproj(usampler1DARRAY samp, float3 s, int texelOff)

> ## Parameters

> samp
>   Sampler array to lookup.
> s
>   Coordinates to perform the lookup. The value used to select the layer should be passed as the component right after the lookup coordinates. The value used in the projection should be passed as the last component of the coordinate vector. The value used in the shadow comparison, if present, should be passed as the next-to-last component of the coordinate vector.
> texelOff
>   Offset to be added to obtain the final texel.

> ## Description

> Performs a texture lookup in sampler array samp using coordinates s, the layer used in the lookup is first selected using the coordinate component right after the regular coordinates. The coordinates used in the lookup are then projected, that is, divided by the last component of the coordinate vector and then used in the lookup. If an extra coordinate is present it is used to perform a shadow comparison, the value used in the shadow comparison is always the next-to-last component in the coordinate vector.

> ## Profile Support

> tex1DARRAYproj is only supported in gp4 and newer profiles.

> ## See Also

> tex1D, tex1Dproj